
Redmine - Defect #12076

Can't edit update of an issue

2012-10-11 14:53 - Johannes Pfeifer

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 2.1.2

Description

After updating an issue (e.g. commenting on an issue) the update itself can't be edited. A short window "Loading" is popping up, but

nothing else is happening.

The link url of the edit button is:

http://<server>issues/<issue_number>#

 Here are my environment facts:

$ mysql --version

mysql  Ver 14.12 Distrib 5.0.51a, for debian-linux-gnu (x86_64) using readline 5.2

 
$ RAILS_ENV=production rake about

About your application's environment

Ruby version              1.8.7 (x86_64-linux)

RubyGems version          1.7.2

Rack version              1.4

Rails version             3.2.8

Active Record version     3.2.8

Action Pack version       3.2.8

Active Resource version   3.2.8

Action Mailer version     3.2.8

Active Support version    3.2.8

Middleware                Rack::Cache, ActionDispatch::Static, Rack::Lock, #<ActiveSupport::Cache:

:Strategy::LocalCache::Middleware:0x2b43ca30fd98>, Rack::Runtime, Rack::MethodOverride, ActionDisp

atch::RequestId, Rails::Rack::Logger, ActionDispatch::ShowExceptions, ActionDispatch::DebugExcepti

ons, ActionDispatch::RemoteIp, ActionDispatch::Callbacks, ActiveRecord::ConnectionAdapters::Connec

tionManagement, ActiveRecord::QueryCache, ActionDispatch::Cookies, ActionDispatch::Session::Cookie

Store, ActionDispatch::Flash, ActionDispatch::ParamsParser, ActionDispatch::Head, Rack::Conditiona

lGet, Rack::ETag, ActionDispatch::BestStandardsSupport, OpenIdAuthentication

Application root          /var/www/redmine/redmine-2.1.2

Environment               production

Database adapter          mysql2

Database schema version   20120731164049

Related issues:

Is duplicate of Redmine - Defect #11005: Error with the PDF export function Closed

History

#1 - 2012-10-11 14:56 - Johannes Pfeifer

And here is my redmine version:

2.1.2.stable

#2 - 2012-10-11 17:29 - Etienne Massip

Could you try to clean your browser cache and try again?

What can you find in your production.log file?
Do you have plugins installed?

#3 - 2012-10-12 09:28 - Jean-Philippe Lang

- Resolution set to Cant reproduce

#4 - 2012-10-12 11:33 - Johannes Pfeifer

Could you try to clean your browser cache and try again?

 I tried clearing the browsers cache, didn't work. Tried this issue both in firefox and chrome. Neither one worked.

Do you have plugins installed?

 I have no plugins installed.

What can you find in your production.log file?

 Here is my production.log file:

Started GET "/journals/edit/1038.js" for <ip> at Fri Oct 12 11:30:19 +0200 2012

NoMethodError (undefined method `to_ary' for #<Mime::Type:0x2b9d62218240>):

  actionpack (3.2.8) lib/action_dispatch/http/mime_type.rb:270:in `method_missing'

  actionpack (3.2.8) lib/action_dispatch/http/mime_negotiation.rb:55:in `Array'

  actionpack (3.2.8) lib/action_dispatch/http/mime_negotiation.rb:55:in `formats'

  actionpack (3.2.8) lib/action_dispatch/http/mime_negotiation.rb:49:in `format'

  actionpack (3.2.8) lib/action_controller/metal/instrumentation.rb:22:in `process_action'

  actionpack (3.2.8) lib/action_controller/metal/params_wrapper.rb:207:in `process_action'

  activerecord (3.2.8) lib/active_record/railties/controller_runtime.rb:18:in `process_action'

  actionpack (3.2.8) lib/abstract_controller/base.rb:121:in `process'

  actionpack (3.2.8) lib/abstract_controller/rendering.rb:45:in `process'

  actionpack (3.2.8) lib/action_controller/metal.rb:203:in `dispatch'

  actionpack (3.2.8) lib/action_controller/metal/rack_delegation.rb:14:in `dispatch'

  actionpack (3.2.8) lib/action_controller/metal.rb:246:in `action'

  actionpack (3.2.8) lib/action_dispatch/routing/route_set.rb:73:in `call'

  actionpack (3.2.8) lib/action_dispatch/routing/route_set.rb:73:in `dispatch'

  actionpack (3.2.8) lib/action_dispatch/routing/route_set.rb:36:in `call'

  journey (1.0.4) lib/journey/router.rb:68:in `call'

  journey (1.0.4) lib/journey/router.rb:56:in `each'

  journey (1.0.4) lib/journey/router.rb:56:in `call'

  actionpack (3.2.8) lib/action_dispatch/routing/route_set.rb:600:in `call'

  rack-openid (1.3.1) lib/rack/openid.rb:98:in `call'

  actionpack (3.2.8) lib/action_dispatch/middleware/best_standards_support.rb:17:in `call'

  rack (1.4.1) lib/rack/etag.rb:23:in `call'

  rack (1.4.1) lib/rack/conditionalget.rb:25:in `call'

  actionpack (3.2.8) lib/action_dispatch/middleware/head.rb:14:in `call'

  actionpack (3.2.8) lib/action_dispatch/middleware/params_parser.rb:21:in `call'

  actionpack (3.2.8) lib/action_dispatch/middleware/flash.rb:242:in `call'

  rack (1.4.1) lib/rack/session/abstract/id.rb:205:in `context'

  rack (1.4.1) lib/rack/session/abstract/id.rb:200:in `call'

  actionpack (3.2.8) lib/action_dispatch/middleware/cookies.rb:339:in `call'

  activerecord (3.2.8) lib/active_record/query_cache.rb:64:in `call'

  activerecord (3.2.8) lib/active_record/connection_adapters/abstract/connection_pool.rb:473:in `call'

  actionpack (3.2.8) lib/action_dispatch/middleware/callbacks.rb:28:in `call'

  activesupport (3.2.8) lib/active_support/callbacks.rb:405:in `_run__397314981__call__4__callbacks'

  activesupport (3.2.8) lib/active_support/callbacks.rb:405:in `send'

  activesupport (3.2.8) lib/active_support/callbacks.rb:405:in `__run_callback'

  activesupport (3.2.8) lib/active_support/callbacks.rb:385:in `_run_call_callbacks'

  activesupport (3.2.8) lib/active_support/callbacks.rb:81:in `send'

  activesupport (3.2.8) lib/active_support/callbacks.rb:81:in `run_callbacks'

  actionpack (3.2.8) lib/action_dispatch/middleware/callbacks.rb:27:in `call'

  actionpack (3.2.8) lib/action_dispatch/middleware/remote_ip.rb:31:in `call'

  actionpack (3.2.8) lib/action_dispatch/middleware/debug_exceptions.rb:16:in `call'

  actionpack (3.2.8) lib/action_dispatch/middleware/show_exceptions.rb:56:in `call'

  railties (3.2.8) lib/rails/rack/logger.rb:26:in `call_app'

  railties (3.2.8) lib/rails/rack/logger.rb:16:in `call'

  actionpack (3.2.8) lib/action_dispatch/middleware/request_id.rb:22:in `call'

  rack (1.4.1) lib/rack/methodoverride.rb:21:in `call'

  rack (1.4.1) lib/rack/runtime.rb:17:in `call'
  activesupport (3.2.8) lib/active_support/cache/strategy/local_cache.rb:72:in `call'

  rack (1.4.1) lib/rack/lock.rb:15:in `call'

  actionpack (3.2.8) lib/action_dispatch/middleware/static.rb:62:in `call'

  rack-cache (1.2) lib/rack/cache/context.rb:136:in `forward'

  rack-cache (1.2) lib/rack/cache/context.rb:245:in `fetch'

  rack-cache (1.2) lib/rack/cache/context.rb:185:in `lookup'

  rack-cache (1.2) lib/rack/cache/context.rb:66:in `call!'

  rack-cache (1.2) lib/rack/cache/context.rb:51:in `call'

  railties (3.2.8) lib/rails/engine.rb:479:in `call'

  railties (3.2.8) lib/rails/application.rb:223:in `call'

  rack (1.4.1) lib/rack/content_length.rb:14:in `call'

  rack (1.4.1) lib/rack/handler/webrick.rb:59:in `service'

  /usr/local/lib/ruby/1.8/webrick/httpserver.rb:104:in `service'

  /usr/local/lib/ruby/1.8/webrick/httpserver.rb:65:in `run'

  /usr/local/lib/ruby/1.8/webrick/server.rb:173:in `start_thread'

  /usr/local/lib/ruby/1.8/webrick/server.rb:162:in `start'

  /usr/local/lib/ruby/1.8/webrick/server.rb:162:in `start_thread'

  /usr/local/lib/ruby/1.8/webrick/server.rb:95:in `start'

  /usr/local/lib/ruby/1.8/webrick/server.rb:92:in `each'

  /usr/local/lib/ruby/1.8/webrick/server.rb:92:in `start'

  /usr/local/lib/ruby/1.8/webrick/server.rb:23:in `start'

  /usr/local/lib/ruby/1.8/webrick/server.rb:82:in `start'

  rack (1.4.1) lib/rack/handler/webrick.rb:13:in `run'

  rack (1.4.1) lib/rack/server.rb:265:in `start'

  railties (3.2.8) lib/rails/commands/server.rb:70:in `start'

  railties (3.2.8) lib/rails/commands.rb:55

  railties (3.2.8) lib/rails/commands.rb:50:in `tap'

  railties (3.2.8) lib/rails/commands.rb:50

  script/rails:6:in `require'

  script/rails:6

#5 - 2012-10-12 12:13 - Jean-Philippe Lang

Same error as #11005.

#6 - 2012-10-12 14:59 - Johannes Pfeifer

- Status changed from New to Resolved

Issue solved by #11005.

Thanks to Jean-Philippe Lang.

Edit this file

actionpack (3.2.6) lib/action_dispatch/http/mime_negotiation.rb

change from

Array(Mime[parameters[:format]])

to

Array.wrap(Mime[parameters[:format]])

#7 - 2012-10-12 15:35 - Jean-Philippe Lang

- Status changed from Resolved to Closed

OK, thanks for the feedback. I'm closing it since it's more a rails/rack issue.

#8 - 2013-01-25 13:20 - Pavel Potcheptsov

I have the same issue:

http://www.redmine.org/boards/2/topics/35751?r=35759#message-35759

but patching above mime_negotiation.rb file didn't help.

Also I don't see any error in production.log

Link to the "Edit" button looks like above:

http://<server>issues/<issue_number>#
and after click Edit I see in debugger:

[14:13:38.908] GET https://<server>/journals/edit/41360.js [HTTP/1.1 404 Not Found 64ms]

#9 - 2014-09-01 13:56 - dj jones

Often it is  nginx/apache cinfig that is caching all .js files - which breaks Redmine as it (weirdly) des use some .js files for user conetnt.

If you di have an nginx/apache config thats sets long expires on .js files: then

see in Issue #13564 - Ettienne suggests a config he says works.
